com.microfocus.awm.control.toolexecution.internal

## Class AbstractToolParameter

- java.lang.Object
- - com.microfocus.awm.control.toolexecution.internal.AbstractToolParameter

- All Implemented Interfaces:
    IDynamicObject, IToolParameter
  Direct Known Subclasses:
    FileInputParameter, StringInputParameter, ToolOutputParameter

      public abstract class AbstractToolParameter
      extends java.lang.Object
      implements IToolParameter

  Basic abstract implementation of `IToolParameter`. Returns the appropriate target ID depending of the parameter type.
  Author:
    Micro Focus

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractToolParameter(RToolParameter pModeledParameter)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Map<java.lang.String,java.lang.Object>` | `getAttributes()` Gets a list of all dynamic attributes and values.
    `RToolParameter` | `getModelObject()` Gets the model object.
    `java.lang.Object` | `getTargetID()`
    `boolean` | `isMassProcessingParameter()` Whether the tool descriptor parameter was modeled mass processing parameter.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.microfocus.awm.model.toolexecution.IDynamicObject

      `getAttributeValue, getComplexAttributes`

- - ### Constructor Detail

    - #### AbstractToolParameter

          public AbstractToolParameter(RToolParameter pModeledParameter)

      Constructor.
      Parameters:
        `pModeledParameter` - the modeled parameter

  - ### Method Detail

    - #### isMassProcessingParameter

          public boolean isMassProcessingParameter()

      Description copied from interface: `IToolParameter`
      Whether the tool descriptor parameter was modeled mass processing parameter.
      Specified by:
        `isMassProcessingParameter` in interface `IToolParameter`
      Returns:
        the `Mass Processing` value of the modeled tool descriptor parameter

    - #### getModelObject

          public RToolParameter getModelObject()

      Description copied from interface: `IDynamicObject`
      Gets the model object.
      Specified by:
        `getModelObject` in interface `IDynamicObject`
      Specified by:
        `getModelObject` in interface `IToolParameter`
      Returns:
        the model object

    - #### getTargetID

          public java.lang.Object getTargetID()

      Specified by:
        `getTargetID` in interface `IToolParameter`
      Returns:
        the target ID, which can be `null`

    - #### getAttributes

          public java.util.Map<java.lang.String,java.lang.Object> getAttributes()

      Description copied from interface: `IDynamicObject`
      Gets a list of all dynamic attributes and values.
      Specified by:
        `getAttributes` in interface `IDynamicObject`
      Returns:
        a list of all attributes and values

Copyright © 2015 Micro Focus GmbH. All rights reserved.